Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Class ServerRequestInfoHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.ServerRequestInfoHelper

public class ServerRequestInfoHelper
extends java.lang.Object

Helper class for : ServerRequestInfo

Author:
  OpenORB Compiler

Constructor Summary
`ServerRequestInfoHelper()`

Method Summary
`static ServerRequestInfo` | `extract(Any a)` Extract ServerRequestInfo from an any
`static java.lang.String` | `id()` Return the ServerRequestInfo IDL ID
`static void` | `insert(Any a, ServerRequestInfo t)` Insert ServerRequestInfo into an any
`static ServerRequestInfo` | `narrow(Object obj)` Narrow CORBA::Object to ServerRequestInfo
`static ServerRequestInfo` | `read(InputStream istream)` Read ServerRequestInfo from a marshalled stream
`static TypeCode` | `type()` Return the ServerRequestInfo TypeCode
`static ServerRequestInfo` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ServerRequestInfo
`static void` | `write(OutputStream ostream, ServerRequestInfo value)` Write ServerRequestInfo into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerRequestInfoHelper

    public ServerRequestInfoHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServerRequestInfo t)

  Insert ServerRequestInfo into an any
  Parameters:
    `a` - an any
    `t` - ServerRequestInfo value

### extract

    public static ServerRequestInfo extract(Any a)

  Extract ServerRequestInfo from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServerRequestInfo value

### type

    public static TypeCode type()

  Return the ServerRequestInfo TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServerRequestInfo IDL ID
  Returns:
    an ID

### read

    public static ServerRequestInfo read(InputStream istream)

  Read ServerRequestInfo from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServerRequestInfo value

### write

    public static void write(OutputStream ostream,
                             ServerRequestInfo value)

  Write ServerRequestInfo into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServerRequestInfo value

### narrow

    public static ServerRequestInfo narrow(Object obj)

  Narrow CORBA::Object to ServerRequestInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServerRequestInfo Object

### unchecked_narrow

    public static ServerRequestInfo unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ServerRequestInfo
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServerRequestInfo Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD